[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFPImageBitmap.IsFileExtensionSupported

Indicates whether the given file extension is supported for the image type.

## Declaration

Source position: graphics.pp line 1454

`public class function TFPImageBitmap.IsFileExtensionSupported(`
`const FileExtension: string`
`):Boolean;`

## Arguments

`FileExtension` |  | File extension checked for the image type.

## Function result

True when the file extension is valid for the image type.

## Description

IsFileExtensionSupported is a Boolean class function used to determine if the file extension in FileExtension is valid for the image type. If FileExtension includes a period character ('.'), it is removed before use.

The return value is True when FileExtension is included in the value returned by the GetFileExtensions method. No actions are performed in the method when FileExtension is an empty string ('').

IsFileExtensionSupported is used in the implementation of LazarusResourceTypeValid.